EDIT - feature request #5890

Implement auto-suggest for data portal
06/15/2016 10:31 AM - Patrick Plitzner

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 8:00 hours
Target version: Reviewed Next Major Release

Severity: normal

Description

This could be useful for
e taxon search

¢ taxon/classification filter for CSV export

Drupal has an out-of-the-box support for this feature

¢ https://www.drupal.org/node/854216

¢ http://timonweb.com/posts/how-to-create-an-ajax-autocomplete-textfield-in-drupal-7/

See also #3994

Related issues:

Related to EDIT - bug #6075: harmonize ' Enable auto-suggest' option with exi... Closed
Related to EDIT - feature request #3994: Select widget to choose the filter a... Closed
Related to EDIT - bug #7764: Fix classification and synonym bug in taxon name... Closed
Precedes EDIT - bug #6085: Use lucene auto suggest functionality for improved... New

Associated revisions

Revision 6a5d84e2 - 09/21/2016 01:06 PM - Patrick Plitzner
ref #5890 Added "Experimental” to settings description

History

#1 - 06/20/2016 03:29 PM - Patrick Plitzner
- Status changed from New to Resolved

- Assignee changed from p.plitzner - to Andreas Kohlbecker

Implemented auto suggest based on TaxonListController.doSearch() with r28412

#2 - 06/20/2016 03:29 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 4.2

#3 - 06/21/2016 09:20 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to p.plitzner -

This is not working for. Even after clearing the drupal cache the autosuggest is not working.

Using the taxon/search service is not ideal. One request/response cycle to this service takes over one second and causes >300kB to be transferred.

Using a special 'lucene’ suggest service https:/lucene.apache.org/core/4_0_0/suggest/index.html is for sure the better solution, maybe hibernate
search provides also a good solution.
#4 - 06/21/2016 01:19 PM - Andreas Miiller

For some portals (especially Cuba Checklist) it might be required to switch of this features as there are very strict limitations to the bandwith of data in
Cuba.

Best would be to check where the query comes from but if this is not possible we need at least the possibility to switch the feature of via dataportal
admin settings.

#5 - 06/21/2016 04:38 PM - Andreas Kohlbecker
Ah ok, now it works.
The suggestions are however too unspecific.

For example after typing "Lac" in the cichorieae portal the first suggestions is Hier r) Zahn whereas the

more relevant Lactuca L. is at position 7.

#6 - 06/21/2016 05:46 PM - Patrick Plitzner

- Status changed from Resolved to In Progress

Added taxon auto_suggest to portal setting with r28442

#7 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#8 - 07/12/2016 01:45 PM - Patrick Plitzner
- Status changed from In Progress to Closed
- Resolution set to fixed

- % Done set to 100

Added a new ticket for weighted search results -> #5978

#9 - 07/13/2016 01:35 PM - Andreas Miiller
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

- % Done changed from 100 to 0

#10 - 07/13/2016 01:38 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from p.plitzner - to Andreas Kohlbecker

#11 - 07/13/2016 02:00 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#12 - 09/14/2016 04:18 PM - Andreas Miiller
- Project changed from 2 to EDIT

- Description updated

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

When trying to run on http:/test.e-taxonomy.eu/dataportal/preview/flora-cuba/ and searching for "Barler" | got an popup saying:

An AJAX HTTP error occurred.

HTTP Result Code: 404

Debugging information follows.

Path: http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/index.php?g=cdm_dataportal/taxon/autosuggest////
StatusText: Not Found

ResponseText:

Taxon does not exist | The Spermatophyta of Cuba - A Preliminary Checklist

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/system/system.base.css?odhdkm") ;
@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/contextual/contextual.css?odh4km"

) i
"http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/comment /comment.css?odh4dkm") ;
"http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/field/theme/field.css?odh4km") ;
"http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/node/node.css?odhdkm") ;

@import url
@import url
@import url
"http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/search/search.css?odhdkm") ;
"http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/user/user.css?odhdkm") ;
"http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/all/modules/admin_menu/admin_menu.c

@import url
@import url
@import url
ss?odh4km") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/all/modules/admin_menu/admin_menu.u
idl.css?odh4km") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/all/modules/admin_menu/admin_menu_t
oolbar/admin_menu_toolbar.css?odh4km") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/modules/shortcut/shortcut.css?odh4km");

(
(
(
(
(
(

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/flora-cuba/modules/cdm_dataportal/c
dm_dataportal.css?odh4kn") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/flora-cuba/modules/cdm_dataportal/c
dm_dataportal_screen.css?odh4km") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora—-cuba/sites/flora—-cuba/modules/cdm_dataportal/j
s/colorbox/colorbox.css?odhdkm") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/flora-cuba/modules/cdm_dataportal/j
s/DataTables-1.9.4/media/css/cdm_debug_table.css?odhdkm") ;

@import url ("http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/flora-cuba/themes/zen_dataportal/cs
s/styles.css?odh4km") ;

#header {

background: white url ('http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/sites/flora-cuba/files/headerne
u_2.png') scroll no-repeat; background-color: white; background-clip: content-box;

}

#site-name a span {color:#013e33;}

#main-menu a:link, #main-menu a:visited, #main-menu a.active:link {color:#ffffff;}

#navigation #main-menu ul.links 1i {border—-color:#ffffff;}

#main-menu {background-color:#013e33;}

#header {background-position:100px 0;}

/**

* On small displays the main menu and sub-header must not have extra padding

* on the left side.

=/

@media all and (min-width: 480px) {

#main-menu, #sub-header {padding-left:80px; }

}

#header

height: 157px;

background-position: 10px O;

.distributionStatus {

display: inline;

#distribution_hierarchy span.level_index_0 {

display: block;

#block-block-3{

position: static;

#JBN_logo({
height: 93px;
width: 140px;
z—index:1;
right: 20px;

top: 20px;
position: absolute;
background: url (/flora-cuba/sites/flora-cuba/files/images/Jjbn_logo.png) scroll no-repeat;

}

jQuery (document) .ready (function () {

JjQuery ('#classification-breadcrumbs .taxonomic-children-button') .taxonomic_children ({
// hoverClass: "fa-rotate-90",

// activeClass: "fa-rotate-90",
classificationUuid: "5de394de-9c76-4b97-b04d-71be31c7£44b",
taxonUuid: "",

cdmWebappBaseUri: "http://test.e-taxonomy.eu/cdmserver/flora_cuba/",

proxyBaseUri: "http://test.e—-taxonomy.eu/dataportal/preview/flora-cuba",

1)

b

jQuery.extend (Drupal.settings, {"basePath":"\/dataportal\/preview\/flora-cuba\/","pathPrefix":"","ajaxPageStat
e":{"theme":"zen_dataportal", "theme_token":"ugkp6-fBfvJIJcRLngMxXvAYhhZ4uU9qfgClhWefLaLoM", "js":{"misc\/jquery.]
s":1,"misc\/jquery.once.js":1,"misc\/drupal.js":1, "modules\/contextual\/contextual.js":1,"sites\/all\/modules\
/admin_menu\/admin_menu.js":1, "sites\/all\/modules\/admin_menu\/admin_menu_toolbar\/admin_menu_toolbar.js":1,"
sites\/flora-cuba\/modules\/cdm_dataportall\/js\/DataTables-1.9.4\/media\/js\/jquery.dataTables.min.js":1,"site
s\/flora-cuba\/modules\/cdm_dataportall\/js\/colorbox\/jquery.colorbox-min.js":1,"sites\/flora-cuba\/modules\/c
dm_dataportal\/js\/ws_debug_block.js":1,"sites\/flora-cuba\/modules\/cdm_dataportall\/js\/http-method-link.js":
1,"sites\/all\/modules\/devel\/devel_krumo_path.js":1,"sites\/flora-cuba\/modules\/cdm_dataportall\/js\/jquery.
cdm.taxonomic_children.js":1,"0":1, "misc\/autocomplete.js":1},"css":{"modules\/system\/system.base.css":1, "mod
ules\/system\/system.menus.css":1, "modules\/system\/system.messages.css":1, "modules\/system\/system.theme.css"
:1, "modules\/contextual\/contextual.css":1, "modules\/comment\/comment.css":1, "modules\/field\/theme\/field.css
":1, "modules\/node\/node.css":1, "modules\/search\/search.css":1, "modules\/user\/user.css":1,"sites\/all\/modul
es\/admin_menu\/admin_menu.css":1,"sites\/all\/modules\/admin_menu\/admin_menu.uidl.css":1,"sites\/all\/module
s\/admin_menu\/admin_menu_toolbar\/admin_menu_toolbar.css":1, "modules\/shortcut\/shortcut.css":1,"sites\/flora
—cuba\/modules\/cdm_dataportal\/cdm_dataportal.css":1,"sites\/flora-cuba\/modules\/cdm_dataportal\/cdm_datapor
tal_screen.css":1,"sites\/flora-cuba\/modules\/cdm_dataportal\/js\/colorbox\/colorbox.css":1,"sites\/flora-cub
a\/modules\/cdm_dataportal\/js\/DataTables-1.9.4\/media\/css\/cdm_debug_table.css":1,"sites\/flora-cuba\/theme
s\/zen_dataportal\/system.menus.css":1,"sites\/flora-cuba\/themes\/zen_dataportal\/system.messages.css":1,"sit
es\/flora-cuba\/themes\/zen_dataportal\/system.theme.css":1, "sites\/flora-cuba\/themes\/zen_dataportall\/css\/s
tyles.css":1}},"urlIsAjaxTrusted": {"http:\/\/test.e-taxonomy.eu\/dataportal\/preview\/flora-cuba\/cdm_dataport
al\/search\/results\/taxon":true}, "tableHeaderOffset":"Drupal.admin.height", "admin_menu":{"destination":"desti
nation=cdm_dataportal\/taxon\/autosuggest\/\/\/\/\/Barler", "hash":"0360b2b83f8aal7b0edbb05fb64c885a", "basePath
":"\/dataportal\/preview\/flora-cuba\/admin_menu", "margin_top":1, "position_fixed":1,"toolbar":[1}});

Jump to navigation

The Spermatophyta of Cuba - A Preliminary Checklist

Configure block

&nbsp;

Taxon does not exist

Main menuHome

Bibliography

Credits

Configure block

CDM DebugURI (http://test.e-taxonomy.eu/cdmserver/flora_cuba/...)TimeFetching [s]Parsing [s]Size [kb]StatusLin

kstermVocabulary/ca04609b-1ba0-4d31-9c2e-aa8eb2fde62d/terms?orderBy=BY_ORDER_INDEX_ASC&pageNumber=0&pageSize=5
000.0000.0180.0001.2validxml-proxiedjson-proxiedportal/taxon/autosuggest0.0400.0340.0000.3invalidxml-proxiedjs
on-proxiedportal/classification?pageNumber=0&pageSize=5000.0490.0080.0000.5validxml-proxiedjson—-proxiedportal/
classification/5de394de-9¢c76-4b97-b04d-71be31c7£f44b/childNodesO£f/0.0570.0080.0000.4invalidxml-proxiedjson-prox
iedURI (http://test.e-taxonomy.eu/cdmserver/flora_cuba/...)TimeFetching [s]Parsing [s]Size [kb]StatusLinks
Search taxa

Configure block

Enter the name or part of a name you wish to search for.

The asterisk character * can be used as wildcard, but must not be used as first character.

Misapplied names

Advanced Search

Navigation

List links

Edit menu

Configure block

Add content

Configure block

#13 - 09/14/2016 04:21 PM - Andreas Miiller

Also | do not understand why the flag to switch on auto-completion is put to Settings - General - CdmServer - FreeText Index. This is not really where
| search for it. Can't we put it to "Search" with a comment that freetext indexing must be enabled to make this work? Or what is the reason for putting
it there?

#16 - 09/14/2016 04:58 PM - Andreas Kohlbecker
- Related to bug #6075: harmonize ' Enable auto-suggest' option with existing code added
#17 - 09/14/2016 04:59 PM - Andreas Miiller
Andreas Milller wrote:
Also | do not understand why the flag to switch on auto-completion is put to Settings - General - CdmServer - FreeText Index. This is not really

where | search for it. Can't we put it to "Search" with a comment that freetext indexing must be enabled to make this work? Or what is the reason
for putting it there?

See related ticket #6075

#18 - 09/14/2016 05:12 PM - Andreas Miiller

- Precedes bug #6085: Use lucene auto suggest functionality for improved auto suggest added

#20 - 09/14/2016 05:16 PM - Andreas Miiller

- Related to feature request #3994: Select widget to choose the filter areas for the advanced search added

#21 - 09/21/2016 01:07 PM - Patrick Plitzner
Added "Experimental" to settings description
Should we move this feature to 4.4?

#22 - 09/23/2016 03:10 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#23 - 09/26/2016 01:56 PM - Andreas Miiller
- Estimated time set to 8:00 h

#24 - 12/01/2016 02:47 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#25 - 01/19/2017 01:56 PM - Andreas Miiller
- Target version changed from Release 4.5 to Release 4.6

- Private changed from Yes to No

#26 - 01/20/2017 11:33 AM - Andreas Kohlbecker
- Priority changed from New to Highest

#27 - 03/10/2017 11:02 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#28 - 05/12/2017 04:46 PM - Patrick Plitzner

- Target version changed from Release 4.7 to Release 4.8

#29 - 07/06/2017 10:31 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#30 - 07/21/2017 11:29 AM - Andreas Miiller
- Status changed from Feedback to In Progress

- Target version changed from Release 4.9 to Release 4.10

#31 - 09/24/2017 01:42 AM - Andreas Muller

- Target version changed from Release 4.10 to Release 4.11

#32 - 11/08/2017 11:28 AM - Andreas Miuiller

- Target version changed from Release 4.11 to Release 4.12

#33 - 12/05/2017 02:06 PM - Andreas Miiller
- Target version changed from Release 4.12 to Release 4.13

#34 - 01/31/2018 01:10 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#35 - 02/16/2018 11:59 AM - Andreas Muller

- Target version changed from Release 4.14 to Release 5.1

#36 - 06/27/2018 02:20 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#37 - 08/17/2018 03:48 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#38 - 09/06/2018 11:15 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#39 - 09/17/2018 04:40 AM - Andreas Muller

- Related to bug #7764: Fix classification and synonym bug in taxon name freetext search added

#40 - 10/19/2018 03:05 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5

#41 - 10/23/2018 10:36 AM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#42 - 10/23/2018 01:46 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Release 5.5

#43 - 01/30/2019 08:30 AM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#44 - 02/19/2019 03:41 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#45 - 03/18/2019 11:55 AM - Patrick Plitzner

- Status changed from In Progress to New

#47 - 11/18/2019 03:11 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker
